commit:     a2347a922275f14589d34fbdbf284917c58bb988
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Thu Apr 15 05:49:27 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Thu Apr 15 07:09:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a2347a92

gui-apps/wev: add dev-{libs,util}/wayland-{protocols,scanner} bdependency

* respect LDFLAGS
* move PREFIX location fix to existing sed statement

Closes: https://bugs.gentoo.org/781056
Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 gui-apps/wev/wev-1.0.0.ebuild | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/gui-apps/wev/wev-1.0.0.ebuild b/gui-apps/wev/wev-1.0.0.ebuild
index 9e96f8688..bc72849eb 100644
--- a/gui-apps/wev/wev-1.0.0.ebuild
+++ b/gui-apps/wev/wev-1.0.0.ebuild
@@ -18,10 +18,16 @@ DEPEND="
 RDEPEND="${DEPEND}"
 BDEPEND="
        app-text/scdoc
+       dev-libs/wayland-protocols
+       dev-util/wayland-scanner
        virtual/pkgconfig
 "
 
-src_install() {
-       export PREFIX="${EPREFIX}/usr"
+src_prepare() {
        default
+       # Respect LDFLAGS
+       # Install to /usr/ not /usr/local/
+       sed -e 's/$(LIBS)/$(LIBS) $(LDFLAGS)/' \
+               -e 's/local//' \
+               -i Makefile || die
 }

Reply via email to